【Flutter】3にアップグレードする際に注意すること

2022年5月18日

Flutter3.0及びAndroid Studio「Chipmunk」へのアップグレード時の注意点

↑上記のような記事はありがたいですね。

まぁ2もまともに使ってないのですが、、ほぼHello worldみたいな状態…
ここまでくるとGoogleさんも本気なのかな。
サクッと捨てられるんじゃなかろうかと思いましたがそうでもない。

自分は動いてるプロジェクトないので構わず$flutter upgrade

ただ何やら↓

[2022/5/16時点]Flutter3でコード補完が効かない(initState/dispose/setState)不具合が発生していますので2.10にダウングレードした方が無難です

https://minpro.net/code-completion-does-not-work-in-flutter3

なので本腰入れてる方は注意が必要かもしれません。

今は作ってリリースして終わり〜ってわけにもいかないのである程度?長くメンテナンスができるもので作らないといけないのですぐ開発終わっちゃうようなライブラリとか使いにくいのにです。

もうちょういじってみよう。